Skip to content
Ona Docs

SetRole

POST/gitpod.v1.OrganizationService/SetRole

Manages organization membership and roles by setting a user’s role within the organization.

Use this method to:

  • Promote members to admin role
  • Change member permissions
  • Demote admins to regular members

Examples

  • Promote to admin:

    Makes a user an organization administrator.

    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
    userId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
    role: ORGANIZATION_ROLE_ADMIN
  • Change to member:

    Changes a user’s role to regular member.

    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
    userId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
    role: ORGANIZATION_ROLE_MEMBER
Body ParametersJSONExpand Collapse
organizationId: string
formatuuid
userId: string
formatuuid
role: optional OrganizationRole
One of the following:
"ORGANIZATION_ROLE_UNSPECIFIED"
"ORGANIZATION_ROLE_ADMIN"
"ORGANIZATION_ROLE_MEMBER"

SetRole

curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/SetRole \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047",
          "userId": "f53d2330-3795-4c5d-a1f3-453121af9c60"
        }'
{}
Returns Examples
{}